`type token````=`

`|` `WITH_TRANSITION`
`|` `WHITELIST_PATH`
`|` `WHEN`
`|` `TRUE`
`|` `STRING of string`
`|` `SET`
`|` `SEMICOLON`
`|` `RIGHT_PAREN`
`|` `RIGHT_BRACE`
`|` `REGEXP`
`|` `PROTOCOL`
`|` `POINTER_TO_DECL`
`|` `PARAMETER_POS`
`|` `PARAMETER_NAME`
`|` `PARAMETERS`
`|` `OR`
`|` `NOT`
`|` `LET`
`|` `LEFT_PAREN`
`|` `LEFT_BRACE`
`|` `INIT_EXPR`
`|` `IMPLIES`
`|` `IDENTIFIER of string`
`|` `HOLDS_IN_NODE`
`|` `HASHIMPORT`
`|` `GLOBAL_PATHS`
`|` `GLOBAL_MACROS`
`|` `FIELD_NAME`
`|` `FIELDS`
`|` `FALSE`
`|` `EX`
`|` `EU`
`|` `ET`
`|` `EOF`
`|` `EH`
`|` `EG`
`|` `EF`
`|` `DEFINE_CHECKER`
`|` `COND`
`|` `COMMA`
`|` `BODY`
`|` `BLACKLIST_PATH`
`|` `AX`
`|` `AU`
`|` `ASSIGNMENT`
`|` `ANY`
`|` `AND`
`|` `AG`
`|` `AF`
`|` `ACCESSOR_FOR_PROPERTY`

``
`exception` `Error`
`val al_file : (Lexing.lexbuf ‑> token) ‑> Lexing.lexbuf ‑> InferModules.CTL.al_file`